[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: "yum update" on f11 alpha generates numerous MD5 mismatches



On Mon, 2009-03-02 at 08:51 -0500, Scott Robbins wrote:
> On Mon, Mar 02, 2009 at 07:36:45AM -0500, Robert P. J. Day wrote:
> > 
> >   trying to do a "yum update" on a recently-installed f11 alpha
> > system, the rpms downloaded, the transaction test appears to have
> > passed, but almost every single package is complaining about a cpio
> > MD5 sum mismatch.  should i have expected this?
> 
> Yes, except that as far as I know, the only place it's been mentioned is
> here.  (See my suggestion, powers that be, that it would save a lot of
> trouble for people to put a mention by the place where people are
> directed to download).  
> 
> You *might* by now, be able to fix this by just doing, before running
> yum update
> 
> yum upgrade rpm
> 
> I don't know if it's been fixed to that point yet.
> 
> If not.
> 
> yum install yum-downloadonly
> 
> This will work.
> 
> yum --downloadonly install db4-utils
> 
> This will download db4-utils and possibly some dependencies and exit
> after downloading.
> 
> Go to /var/cache/yum/rawhide packages and install db4-utils with
> 
> rpm -Uvh db4-utils
> 
> This should also work.
> 
> At this point, you can grab the tarball I put up--the stuff is also, as
> far as I know, still at koji, but in case it isn't.
> 
> wget http://www.scottro.net/rpms.tar.bz2
> 
> Once it's downloaded
> 
> tar jxvf rpms.tar.bz2
> 
> cd rpms
> rpm -Uvh *rpm
> 
> After that, yum update should work.
> 

You can just run:
yum update rpm\*

-sv



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]